Você não está autenticado.

Anúncio

Arch Linux Brasil está precisando de sua colaboração para realizar o pagamento do domínio e do host, para colaborar, realizar doações via paypal.

Para mais informações: contato at archlinux-br.org.

#1 25/03/2019 13:00:24

skyfighter
Membro
Registrado: 25/03/2019
Mensagens: 13

Não consigo compilar/instalar arquivos .tar.gz

Pessoal, boa tarde.

Recentemente voltei ao Arch, após um longo período sem linux.

Não estou conseguindo compilar nenhuma arquivo nele, por causa desse erro:

==> erro: pkgbuild não existe.

Fiz uma buscar e pode ser que preciso instalar o COMPIZ, pacman -S compiz, mas, ainda não testei para ver se é isso, poderiam me ajudar por favor ?

Offline

#2 25/03/2019 19:20:06

slackbeck
Membro
Registrado: 05/09/2018
Mensagens: 61

Re: Não consigo compilar/instalar arquivos .tar.gz

Qual comando você está utilizando para compilar pacotes? pode mandar o comando e o log até o erro, pfv?!

Offline

#3 26/03/2019 11:12:59

skyfighter
Membro
Registrado: 25/03/2019
Mensagens: 13

Re: Não consigo compilar/instalar arquivos .tar.gz

slackbeck escreveu:

Qual comando você está utilizando para compilar pacotes? pode mandar o comando e o log até o erro, pfv?!

Caro, slackbeck, bom dia. Eu tirei a versão do (Anarchy Linux) e instalei o (Arch) em modo texto mesmo. Agora ele funcionou a compilação.

A única coisa que estou enroscando é instalar o "pacaur", poderia me ajudar por favor ?

Ele da esse erro logo no final:

Criando o pacote: pacaur 4.8.5-1 (ter 26 mar 2019 10:15:21 UTC)
==> Verificando as dependências de tempo de execução...
==> Dependências faltando:
  -> auracle-git
==> Verificando as dependências de tempo de compilação...
==> ERRO: Não foi possível resolver todas as dependências.

Quando dou esse comando: makepkg -i PKGBUILD --noconfirm

Não consigo instalar essa depedência -> auracle-git

Offline

#4 26/03/2019 11:23:45

slackbeck
Membro
Registrado: 05/09/2018
Mensagens: 61

Re: Não consigo compilar/instalar arquivos .tar.gz

Seria legal se você falasse de todas as etapas que você fez, de onde baixou o PKGBUILD, todos os comandos até chegar nesse último...
Mas parece que tem um tutorial de como instalar o PACAUR no site do edivaldo, atualizado em fevereiro 2019... Você já viu?

https://www.edivaldobrito.com.br/instal … rch-linux/

Tenta ver se ajuda, se não der certo alguma etapa, fala para a gente onde você enrroscou exatamente com base nesse tuto e daí resolvemos com você qualquer problema.

Pessoalmente, eu uso o AUR Utils, mas é um pouco mais avançado... Por outro lado, sempre tenho o Yay por perto caso precisse ( até agora tenho conseguido evitá-lo!)... Tem um pacote do yay-bin no AUR, eu acho, que já vem com bastantes coisas compiladas então pra instalar é uma brisa... O Pacaur parece ser OK também, mas nunca utilizei ainda... ...  Abraço

PS: Estou dando mais uma olhada, o pacote "auracle-git" não está sendo mencionado no tuto que te mandei... Você havia instalado o Cower antes? Dependendo de onde você baixou esse pacote ou o PKGBUILD, ele pode estar desatualizado ou ser uma versão específica... Por isso é bom mandar de onde você baixou para podermos conferir..

Última edição por slackbeck (26/03/2019 11:30:15)

Offline

#5 26/03/2019 11:36:57

skyfighter
Membro
Registrado: 25/03/2019
Mensagens: 13

Re: Não consigo compilar/instalar arquivos .tar.gz

slackbeck, que coincidência, foi exatamente essa mesma fonte que usei para instalar, pode ver que no final ele pede essa parte:

makepkg -i PKGBUILD --noconfirm
Passo 7.Finalmente, limpe o diretório de trabalho temporário;

cd
rm -r ~/tmp

Foi justamente aí que faltou essa depedência: auracle-git



PS: Estou dando mais uma olhada, o pacote "auracle-git" não está sendo mencionado no tuto que te mandei... Você havia instalado o Cower antes? Dependendo de onde você baixou esse pacote ou o PKGBUILD, ele pode estar desatualizado ou ser uma versão específica... Por isso é bom mandar de onde você baixou para podermos conferir..


Sim, conforme o passo 5 do Edivaldo:

Passo 5. Baixe e instale o Cower usando os comandos abaixo.

gpg --recv-keys --keyserver hkp://pgp.mit.edu 1EB2638FF56C0C53
curl -o PKGBUILD https://aur.archlinux.org/cgit/aur.git/ … LD?h=cower

Eu segui exatamente a mesma linha dele.


Tentei baixar algo de: "auracle-git.tar.gz", para buscar compilar e resolver essa pendência, mas, não achei nada ainda. Instalei apenas "git", pacman -S git, mas, não resolveu.

Offline

#6 26/03/2019 11:38:26

skyfighter
Membro
Registrado: 25/03/2019
Mensagens: 13

Re: Não consigo compilar/instalar arquivos .tar.gz

Sobre o Yay, ele faz a mesma coisa que o PACAUR ? tipo: Yay -S (etc...), estou retornando ao Linux, então, esqueci bastante coisa rs.

Offline

#7 26/03/2019 12:02:31

slackbeck
Membro
Registrado: 05/09/2018
Mensagens: 61

Re: Não consigo compilar/instalar arquivos .tar.gz

skyfighter escreveu:

Sobre o Yay, ele faz a mesma coisa que o PACAUR ? tipo: Yay -S (etc...), estou retornando ao Linux, então, esqueci bastante coisa rs.

O Yay é um wrapper, que é mais que um mero helper de AUR... Ele passa as operações que são próprias para o Pacman e executa as que são para lidar com os pacotes do AUR...

O Pacaur parece ser um wrapper de wrapper, mas eu não coneço para dizer ao certo... Não há nada de errado nisso, se for o caso.. Tem mais de 20 ajudantes de AUR no mercado, uns mais atualizados outros menos, mas você tem que achar um que goste...

Mas o yay é um dos mais populares... Foi escrito na linguagem de Go do Google, muito bom na minha humilde opinião..

Então vamos lá, se quiser testar o Yay..

Na página oficial está falando os três passos para compilar o yay:
https://github.com/Jguer/yay

git clone https://aur.archlinux.org/yay.git
cd yay
makepkg -si

Porém, tenho quase certeza que ele vai pedir para fazer o download das libs do Go... Se você já tem elas instaladas, OK, se quiser evitar que elas sejam instaladas só para construir o Yay (ou atualizar o Yay), tente usar pacote do yay-bin que já vem *meio* compilado..

OBS: Você deve ter o "git" e "base-devel" instalados, se não, instale via pacman antes! (pacman -S git base-devel)

1) O primeiro comando vai fazer o download do arquivo PKGBUILD que contém todas as instruções para download do código-fonte e compilação do Yay-bin... Vai criar uma pasta com o PKGBUILD chamada "yay-bin".

$ git clone https://aur.archlinux.org/yay-bin.git

2) O segundo comando é para entrar na pasta com o PKGBUILD

$ cd yay-bin

3) O terceiro comando vai fazer o download do código-fonte, a compilação, criação do pacote e instalar na raiz do sistema com o Pacman.

$ makepkg -si

Para chamar o Yay, é só digitar "$ yay -Syu" por exemplo, ou tentar isntalar algum pacote do AUR com "yay -S [pacote]" que ele vai procurar nos repos oficiais e no AUR...

Você pode tentar

$ yay -S pacaur

rs

Recomendo se inteirar de como o Pacman funciona e como é feita todo o gerenciamento de pacotes no Arch Linux (para poder diagnosticar problemas com pacotes do AUR, já que eles _não_ tem suporte oficial nenhum!) e depois ler  "$ man yay" e "$ man pacman"..

Em português não achei muita coisa em uma pesquisa rápida no Google, mas se você manjar de inglês não vai ser problema..
https://blog.desdelinux.net/yay-una-exc … -a-yaourt/

Última edição por slackbeck (26/03/2019 12:24:57)

Offline

#8 26/03/2019 12:09:47

skyfighter
Membro
Registrado: 25/03/2019
Mensagens: 13

Re: Não consigo compilar/instalar arquivos .tar.gz

slackbeck, agradeço mais uma vez pela sua disposição e aula no Arch Linux, eu confesso que usei pouco o Arch, por isso estou voltando para entender tudo como ele funciona, até para eu poder corrigir esses problemas quando aparecerem.

Eu fazer a instalação e volto aqui para te falar o resultado.

Sobre o Inglês eu manjo pouco rs, mas, nada que o tradutor não ajude haha.

Muitíssimo obrigado querido, slackbeck.

Offline

#9 26/03/2019 12:22:52

slackbeck
Membro
Registrado: 05/09/2018
Mensagens: 61

Re: Não consigo compilar/instalar arquivos .tar.gz

<<Foi justamente aí que faltou essa depedência: auracle-git>>

Veja, no PKGBUILD que você está tentando utilizar ( e o edivaldo, então):

https://aur.archlinux.org/cgit/aur.git/ … LD?h=cower

# Maintainer: Dave Reisner <[email protected]>

pkgname=cower
pkgver=18
pkgrel=1
pkgdesc="A simple AUR agent with a pretentious name"
arch=('i686' 'x86_64')
url="http://github.com/falconindy/cower"
license=('MIT')
depends=('curl' 'pacman' 'yajl')
makedepends=('perl')
source=("https://pkgbuild.com/~dreisner/sources/$pkgname/$pkgname-$pkgver.tar.gz"{,.sig})
validpgpkeys=('487EACC08557AD082088DABA1EB2638FF56C0C53')  # Dave Reisner
md5sums=('ce5993a79d7e1cc33016e06e32af03e7'
         'SKIP')

build() {
  cd "$pkgname-$pkgver"

  make
  sed '/^$/q' src/cower.c >LICENSE
}

package() {
  cd "$pkgname-$pkgver"

  make PREFIX=/usr DESTDIR="$pkgdir" install
  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
}

# vim: ft=sh syn=sh

Observe que a URL pro "cower" nesse PKGBUILD manda acessar:
http://github.com/falconindy/cower

Não existe mais.

E outra, o endereço para conseguir o códifgo-fonte:
https://pkgbuild.com/~dreisner/sources/cower/

Se você entrar, está com a última atualização em 12-May-2018 14:37 ... Não sei esta é a última versão...

Melhor esquecer esse PKGBUILD e encontrar outro...

Última edição por slackbeck (26/03/2019 12:29:11)

Offline

#10 26/03/2019 13:52:54

skyfighter
Membro
Registrado: 25/03/2019
Mensagens: 13

Re: Não consigo compilar/instalar arquivos .tar.gz

Então esse que foi o problema, não está atualizado os endereços, de fato, não existe mais mesmo:

https://github.com/falconindy/cower

slack, se eu trocar essa linha?

source=("https://pkgbuild.com/~dreisner/sources/$pkgname/$pkgname-$pkgver.tar.gz"{,.sig})

Por essa:

source=("https://pkgbuild.com/~dreisner/sources/cower/cower-18.tar.gz"{,.sig})

Ou isso não tem nada haver ?

Offline

#11 26/03/2019 14:26:31

slackbeck
Membro
Registrado: 05/09/2018
Mensagens: 61

Re: Não consigo compilar/instalar arquivos .tar.gz

Pode ser que dê certo, mas é melhor você achar um PKGBUILD atualizado...

Olha tem esse aqui do pacaur:
https://aur.archlinux.org/packages/pacaur/


Mas antes, você vai precisar fazer instalação do auracle-git.

Crie uma pasta temp e faça download do PKGBUILD do auracle-git:
https://aur.archlinux.org/packages/auracle-git/

Pode clicar em "View PKGBUILD" e copiar e colar o conteúdo em um arquivo de texto simples chamado PKGBUILD dentro da pasta que vc criou, ou em "Download snapshot" e descomprimir a pasta e o PKGBUILD...

Depois entre nessa pasta pelo bash "$ cd /caminho/pasta/" e daí "$ makepkg -si" que ele vai encontrar o PKGBUILD

Última edição por slackbeck (26/03/2019 15:40:35)

Offline

#12 26/03/2019 14:42:52

skyfighter
Membro
Registrado: 25/03/2019
Mensagens: 13

Re: Não consigo compilar/instalar arquivos .tar.gz

Slack, vou refazer todo processo e novamente, agradeço demais. Volto para te passar esse ilustre resultado com sua ajuda.

Offline

#13 26/03/2019 15:41:58

slackbeck
Membro
Registrado: 05/09/2018
Mensagens: 61

Re: Não consigo compilar/instalar arquivos .tar.gz

Aguardamos
PS: Para fazer download do pkgbuild, pode clicar em "Download snapshot" e descomprimir a pasta e o PKGBUILD e o .SRC...

Última edição por slackbeck (26/03/2019 19:49:28)

Offline

#14 26/03/2019 19:36:36

skyfighter
Membro
Registrado: 25/03/2019
Mensagens: 13

Re: Não consigo compilar/instalar arquivos .tar.gz

slackbeck, muitíssimo obrigado. Vou seguir os passos e retorno para te avisar.

Offline

#15 28/03/2019 01:35:30

skyfighter
Membro
Registrado: 25/03/2019
Mensagens: 13

Re: Não consigo compilar/instalar arquivos .tar.gz

slackbeck, boa noite. Tudo bem? Conforme combinado, passo para te agradecer imensamente pelo tempo em dispor para me ajudar. Deu super certo graças a Deus, inclusive instalei tudo que era possível pelo "yay"

- pacaur
-aurman
- packer

Agora tô bem calibrado de fonte rs.

Offline

#16 28/03/2019 01:56:10

slackbeck
Membro
Registrado: 05/09/2018
Mensagens: 61

Re: Não consigo compilar/instalar arquivos .tar.gz

Oi, Boa noite!
Não precisa agradecer por nada não..

Agora, o próximo passo é você escolher um único desses ajudantes de AUR e usar só um a longo prazo!
Isso porque como cada programa desses gerencia os pacotes do AUR de uma forma que pode variar,
se você instalar um pacote pelo Yay, talvez o Pacaur não consiga entender exatamente que esse pacote
seja do AUR ou mesmo não busque por atualizações (talvez ele não vai saber que foi instalado por outro
ajudante de AUR..) Ok?!

No mais, boa sorte a abraço!

PS: O Aurman, o desenvolvedor não está mais atualizando e disse que _nem_ vai mais atualizar.
Os usuários do Aurman se tornaram muito tóxicos e maltrataram o desenvolvedor, que já não era
muito dócil...
Funciona, mas pode ser que qualquer hora dê algum tipo de problema por falta de manutenção...

Última edição por slackbeck (28/03/2019 02:00:40)

Offline

#17 28/03/2019 18:34:24

skyfighter
Membro
Registrado: 25/03/2019
Mensagens: 13

Re: Não consigo compilar/instalar arquivos .tar.gz

Claro que preciso, tempo imenso ajudando. Respostas sempre "quase imediatas".

Então sendo assim, eu vou manter o (yay), parece que é o mesmo atual no momento.

"PS: O Aurman, o desenvolvedor não está mais atualizando e disse que _nem_ vai mais atualizar.
Os usuários do Aurman se tornaram muito tóxicos e maltrataram o desenvolvedor, que já não era
muito dócil...
Funciona, mas pode ser que qualquer hora dê algum tipo de problema por falta de manutenção..."

Isso que é o problema, tinha tudo para ir em bons caminhos e agora defasado.

Agradeço mais um vez pela ajuda, slack! smile

Desejo uma quinta-feira repleta de paz e saúde.

Offline

Rodapé do site